Attribute VB_Name = "DevHelper"
Option Private Module
Option Explicit

Public Const TEST_FOLDER = "testTemp"

Public Function Dev_PrepareSkeleton()
  ' Do nothing
End Function

Public Function Dev_ManualRunTest()
  Dim sSuite$: sSuite = "s_DatabaseView"
  Dim sTest$: sTest = "t_SetDB"
  Dim sMsg$: sMsg = Dev_RunTestDebug(sSuite, sTest)
  Debug.Print sMsg
  Call MsgBox(sMsg)
End Function

Public Function Dev_GetTestSuite(sName$) As Object
  Select Case sName
    Case "s_DatabaseView": Set Dev_GetTestSuite = New s_DatabaseView
    Case "s_DataImporter": Set Dev_GetTestSuite = New s_DataImporter
    Case "s_QueryMaster": Set Dev_GetTestSuite = New s_QueryMaster
  End Select
End Function
